Source: python-watchgod
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 python3-all,
 python3-setuptools,
 python3-anyio <!nocheck>,
 python3-trio <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-sugar <!nocheck>,
 python3-pytest-toolbox <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/samuelcolvin/watchgod/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchgod
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchgod.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-watchgod
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple, modern file watching and code reload (Python3 version)
 Simple, modern file watching and code reload in Python. It can watch for
 changes in a directory and run a function to restart it when code changes.
 Notifications about change events as well as to restart a process can use
 the callback argument to pass a function which will be called on every file
 change with one argument: the set of file changes.
 .
 This package contains the Python 3 version of the library.
